# class CryptoKey

#### package js.html

Available on HTML5

The `CryptoKey` interface represents a cryptographic key derived from a specific key algorithm.

Documentation CryptoKey by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/CryptoKey

### Variables

###

`read onlyalgorithm:Dynamic`

Returns an opaque object representing a particular cipher the key has to be used with.

###

`read onlyextractable:Bool`

Returns a `Boolean` indicating if the raw information may be exported to the application or not.

###

`read onlytype:String`

Returns an enumerated value representing the type of the key, a secret key (for symmetric algorithm), a public or a private key (for an asymmetric algorithm)

###

`read onlyusages:Array<String>`

Returns an array of enumerated values indicating what the key can be used for.